dofile_lua( "mergeblob-1_big" )

-- leave me
	local actor = ACTOR_preload()
-- leave me

	-- default for this beastie
	actor[cp_actor_name]		= "mergeblob-1_big_emerge"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "mergeblob-1_big_emerge"

	actor[cp_these_collide_with_me]		= cat_player

	actor[cp_hit_delay]			= 4.0
	actor[cp_mutate_hit_delay]		= 4.0

	actor[cp_rolly_polly_multiply]	= 15.0

	actor[cp_launch_scale_min]		= 75.0
	actor[cp_launch_scale_max]		= 75.0

	actor[cp_launch_hue_shift] = color - 180

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_sound_to_anim( "emerge", "mergeblob-emerge" )

	c_add_particle_to_anim( "emerge", "part01", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part02", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part03", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part04", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part05", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part06", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part07", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part08", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part09", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part10", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part11", "mergeblob-part1" )
	c_add_particle_to_anim( "emerge", "part12", "mergeblob-part1" )

	c_set_trigger_mutate( "mergeblob-1_big", "my_time_alive__pass_path", 0.0, 0.0, 1.0, 1.0, 75.0, 75.0 )
